Clean install of 2.3 not working (django.core.context_processors does not define a “auth” callable request processor)

Showing 1-2 of 2 messages
Clean install of 2.3 not working (django.core.context_processors does not define a “auth” callable request processor) Hugo Rodger-Brown 7/8/12 2:23 PM

Hi there - sorry if this isn't the best place to post issues, however I would really like to get django-cms running and am having some problems. I have done a clean install (as per instructions), and am getting the following exception on the homepage:

Module “django.core.context_processors” does not define a “auth” callable request processor

This is a copy of my pip freeze:

Django==1.4
PIL==1.1.7
South==0.7.5
django-classy-tags==0.3.4.1
django-cms==2.3
django-mptt==0.5.2
django-sekizai==0.6.1
html5lib==0.95
simplejson==2.6.0
wsgiref==0.1.2

Any help most appreciated,

Hugo
Re: Clean install of 2.3 not working (django.core.context_processors does not define a “auth” callable request processor) Benjamin Wohlwend 7/8/12 11:08 PM
Hi,

On Sun, Jul 8, 2012 at 11:23 PM, Hugo Rodger-Brown
<hu...@rodger-brown.com> wrote:
> Hi there - sorry if this isn't the best place to post issues, however I
> would really like to get django-cms running

Please post usage questions to the django-cms group next time. This
group is for discussing the development of django CMS itself. That
said..

>
> Module “django.core.context_processors” does not define a “auth” callable
> request processor
>

The path to the auth context processor changed in Django 1.4. You have
to update TEMPLATE_CONTEXT_PROCESSORS[1] accordingly. The new path is
"django.contrib.auth.context_processors.auth".

Kind regards,
Benjamin

[1]: https://docs.djangoproject.com/en/1.4/ref/settings/#std:setting-TEMPLATE_CONTEXT_PROCESSORS